import { ComponentCtor, ComponentDescriptor, ActionDescriptor, ModuleDescriptor } from 'organik';
import { ThemeOptions } from './theme';
declare type MountEl = Element | string;
interface AppDescriptor {
    components?: ComponentDescriptor[];
    metadata?: {
        actions?: ActionDescriptor[];
        modules?: ModuleDescriptor[];
    };
    theme?: ThemeOptions;
    root?: ComponentCtor;
    el?: MountEl;
}
interface AppInstance {
    mount(el?: MountEl): void;
}
export { AppDescriptor, AppInstance };
